Skip to main content
`Ctrl`+`K`

# PetscFunctionBeginHot

Substitute for `PetscFunctionBegin` to be used in functions that are called in performance-critical circumstances. Use of this function allows for lighter profiling by default.

## Synopsis

    #include <petscsys.h>
    void PetscFunctionBeginHot;

Not Collective; No Fortran Support

## Usage

         int something;

         PetscFunctionBeginHot;

## See Also

`PetscFunctionBegin`, `PetscFunctionReturn()`, `PetscStackPushNoCheck()`

## Level

developer

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages